Subject: Re: bug: git-sh-setup should not be in $PATH

From: Jakub Narebski <[email-masked]>
Date: Wed, 6 Dec 2006 17:52:39 +0100

Han-Wen Nienhuys wrote:
> Jakub Narebski escreveu:

>>> there should be Makefiles in said directories. Otherwise, every rule
>>> in the toplevel Makefile saying
>>>
>>>
>>>   $(MAKE) -C subdir/
>>>
>>> will fail because $builddir/ does not have a Makefile in
>>> $builddir/subdir.
>> 
>> Wouldn't it be better just to modify toplevel Makefile to say:
>> 
>>    $(MAKE) -C $(srcdir)/subdir/
>> 
>> without messing with ./configure script, and creating "redirect"
>> Makefiles?
>> 
> 
> that doesn't work.
> 
>   make -C foo bla
> 
> just does 
> 
>   (cd foo && make bla)
> 
> If you did this, part of the object files would end up in the source dir; 
> The idea of separate srcdir builds,is to keep the srcdir completely clean 
> of generated files.  That can't really be done without aid of a script,
> to setup the builddir. In this case that is the configure script.

Thanks for an explanation. At least some of it should be in commit
message, to explain what you want the patch to do.

I don't know autotools enough to check if autotools (autoconf) doesn't
have it's own way to do this, some autoconf macro, to not need to write
this script creating redirect Makefiles.

I'm still not sure if this has place in git. Is it really common to
support building outside source directory? If git didn't support this,
so what?
-- 
Jakub Narebski